Update a telemetry destination
curl --request PATCH \
--url https://api.alpic.ai/v1/environments/{environmentId}/telemetry-destinations/{destinationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint": "<string>",
"isScopedToIntentionalRequestsOnly": true,
"headers": [
{
"name": "<string>",
"isSecret": true,
"id": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}/telemetry-destinations/{destinationId}"
payload = {
"endpoint": "<string>",
"isScopedToIntentionalRequestsOnly": True,
"headers": [
{
"name": "<string>",
"isSecret": True,
"id": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint: '<string>',
isScopedToIntentionalRequestsOnly: true,
headers: [{name: '<string>', isSecret: true, id: '<string>', value: '<string>'}]
})
};
fetch('https://api.alpic.ai/v1/environments/{environmentId}/telemetry-destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"signal": "logs",
"endpoint": "<string>",
"protocol": "http/protobuf",
"headers": [
{
"id": "<string>",
"name": "<string>",
"value": null,
"isSecret": true
}
],
"status": "active",
"lastFailureReason": "credentials",
"isScopedToIntentionalRequestsOnly": true
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "Forbidden",
"data": "<unknown>"
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": "<unknown>"
}telemetry
Update a telemetry destination
Verify and save changes to an OTLP destination. Omit headers to keep them unchanged; omit the value of an existing header to preserve it. A secret header value must be re-entered when the endpoint changes.
PATCH
/
v1
/
environments
/
{environmentId}
/
telemetry-destinations
/
{destinationId}
Update a telemetry destination
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
The ID of the telemetry destination
Body
application/json
Response
The telemetry destination has been updated
Available options:
logs, metrics, traces Required string length:
1 - 2048Available options:
http/protobuf, http/json - Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
active, suspended Available options:
credentials, wrong-path, wrong-protocol, invalid-payload, partial-rejection, blocked-target, timeout, unreachable, receiver-error, unexpected-status Was this page helpful?